1. Screening
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
      • List watchlist entries
      • Remove watchlist entry
      • Export watchlist entries
      • Bulk import watchlist entries
    • Jobs
      • Cancel a watchlist import job
      • Get watchlist import job
      • List watchlist import jobs
      • Sync watchlist
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • txn-monitoring-bff_ScreeningResult
    • ScreenTransaction
    • CreateWatchlist
    • txn-monitoring-bff_ScreenTransaction
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Screening

Get screening result by ID

GET
/v1/txn-monitoring/screening/{id}
Retrieves the detailed screening result for a specific screening request by its unique identifier.

Request

Authorization
Add parameter in header
x-api-akey
Example:
x-api-akey: ********************
Path Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/screening/' \
--header 'x-api-akey: <api-key>'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "string",
        "transactionRef": "string",
        "status": "string",
        "riskScore": 0,
        "decision": "string",
        "matchedRules": null,
        "watchlistHits": null,
        "originator": null,
        "beneficiary": null,
        "amount": null,
        "transactionType": "string",
        "riskLevel": "string",
        "screeningTimeMs": 0,
        "evaluations": null,
        "createdAt": "string",
        "updatedAt": "string"
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-08-03 07:42:10
Previous
Screen transaction
Next
Rescreen transaction
Built with